import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading ZebraSNMPMediaSensorToGeneric Converter")

class ZebraSNMPMediaSensorToGeneric(Converter):
	def Execute(self, myList=[], *args):
		res = ""        
		if int(myList[0]) == 1 or int(myList[0]) == 4:
			res = "None"
		elif int(myList[0]) == 2:
			res = "Gap"
		elif int(myList[0]) == 3:
			res = "Mark"
		return res




plugin = ZebraSNMPMediaSensorToGeneric("ZebraSNMPMediaSensorToGeneric")

store.AddConverter(plugin)